Name: sealed-secrets
Version: 0.28.0
Release: 1
License: Apache-2.0
Summary: A tool for one-way encrypted Secrets for Kubernetes
URL: https://github.com/bitnami-labs/sealed-secrets

Provides: kubeseal = %version

BuildRequires:  golang
BuildRequires:  git

Source0: https://github.com/bitnami-labs/sealed-secrets/archive/refs/tags/v%version.tar.gz

%global debug_package %{nil}
%global goipath github.com/bitnami-labs/sealed-secrets

%description
Provides the kubeseal binary, which when paired with a kubeseal controller
on a Kubernetes server can provide one way encrypted Secrets for Kubernetes,
allowing secrets to be publically version controlled without concern.

%prep
%autosetup

%build
mkdir -p %{builddir}/bin
go build -o %{builddir}/bin/kubeseal ./cmd/kubeseal

%install
%{__install} -m 0755 -vd %{buildroot}%{_bindir}
%{__install} -m 0755 -vp %{builddir}/bin/kubeseal %{buildroot}%{_bindir}

%files
%{_bindir}/kubeseal

%changelog
* Thu Jan 17 2025 Keith Valin <keith+kubeseal@mailtux.net> - 0.28.0-1
- Update various dependencies
- Explicitly set resourceFieldRef.divisor
- See full changelog at https://github.com/bitnami-labs/sealed-secrets/releases/tag/v0.28.0
* Thu Nov 28 2024 Keith Valin <keith+kubeseal@mailtux.net> - 0.27.3-1
- Initial workings
